Syncfusion UI controls for WPF provide various layout and navigation controls often used in line-of-business applications. This package contains the following controls:

## List Of controls

* [AutoComplete](https://www.syncfusion.com/wpf-controls/autocomplete?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [Card View](https://www.syncfusion.com/wpf-controls/card-view?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [CheckedListBox](https://www.syncfusion.com/wpf-controls/checkedlistbox?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [DockingManager](https://www.syncfusion.com/wpf-controls/docking?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [Document container](https://www.syncfusion.com/wpf-controls/document-container?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [Navigation Pane](https://www.syncfusion.com/wpf-controls/navigation-pane?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [Hierarchy Navigator](https://www.syncfusion.com/wpf-controls/hierarchy-navigator?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [Range Slider](https://www.syncfusion.com/wpf-controls/range-slider?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [Ribbon](https://www.syncfusion.com/wpf-controls/ribbon?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [Tab](https://www.syncfusion.com/wpf-controls/tabcontrol?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [Tab Navigation](https://www.syncfusion.com/wpf-controls/tab-navigation?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [Tab Splitter](https://www.syncfusion.com/wpf-controls/tab-splitter?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [Taskbar](https://www.syncfusion.com/wpf-controls/taskbar?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [Tree View](https://www.syncfusion.com/wpf-controls/treeview?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [Wizard](https://www.syncfusion.com/wpf-controls/wizard-control?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [Combobox](https://www.syncfusion.com/wpf-controls/combobox?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)
* [SfBadge](https://www.syncfusion.com/wpf-controls/badge?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

## AutoComplete

The WPF AutoComplete control provides a common autocomplete text box to select values from a predefined list easily and adds the common autocomplete paradigm to text boxes. The control is loaded with features to help you customize the behavior, look, and feel in many different ways.

## Card View

The WPF Card View control is a panel that helps organize a list of items in cards. It supports grouping, sorting, filtering, and editing options. Also, supports listing the grouped items in a tree structure.

## CheckedListBox

The WPF CheckedListBox control provides an efficient way to check items in a list, making sure you missed nothing. The control also supports select-all, grouping, sorting, virtualization, theming, keyboard, and right-to-left alignment.

## DockingManager

The WPF Docking Manager (DockPanel) control provides an interface to create Visual Studio-like dockable windows in your applications. Dock panels support many interactions like docking, floating, tabbing, autohiding and grouping document tabs. Tab groups split the workspace and allow users to work with two or more open documents. Users can resize, move, and change the behavior of windows to create a layout that suits various development models.

## Document container

If you miss the traditional multiple document interface (MDI) user interface in WPF, the MDI support in our document container framework comes to the rescue. You can also use the tabbed document interface (TDI) framework to build the latest VS 2010-style tabbed document interfaces.

## Navigation Pane

The WPF Navigation Pane provides a navigation UI similar to Microsoft Outlook with support to expand and collapse a view using its header. It supports different orientations, multiple expansion modes to work with one or more items in the view, built-in Office-like styles, and more.

## Hierarchy Navigator

The hierarchical navigator control provides a breadcrumb interface, similar to the address bar in Windows 7’s File Explorer window. It also supports keyboard navigation, history for past navigations, and a progress bar. It also provides command binding with MVVM support, data binding via HierarchicalDataTemplate, XML data, and WCF Services.

## Range Slider

The Range Slider control allows you select a range of values within a specified minimum and maximum limit. The range can be selected by moving the thumb control along a track. The control is intended to provide a UI to filter collection items within a range.

## Ribbon

The WPF Ribbon control (ribbon menu) accommodates all the tools required for an application in a single, easy-to-navigate user interface similar to Microsoft Office. Its dynamic resizing, keyboard accessibility, and complete customization options help organize an application.

## Tab

The WPF TabControl provides an efficient interface for displaying multiple tabs and helps arrange content in a compact and organized form in less space. It provides powerful data-binding support for tab headers and content. It also provides different tab orientations, text alignment, options to hide or create new tabs, editable headers, and complete customization options.

## Tab Navigation

The WPF Tab Navigation control provides navigation services between the pages in your application. It facilitates displaying the items in a rotator with elegant animation. Supports moving to next or previous page via buttons as well as links to browse the slides.

## Tab Splitter

The WPF Tab Splitter control provides a Visual Studio-like split view capability with a movable splitter that helps you resize the split views on demand. It provides an efficient interface for displaying multiple split views in tabs. You can split the documents horizontally or vertically with a splitter. You can also swap tabs and expand or collapse the views.

## Taskbar

The TaskBar control lets you add Windows-style collapsible, grouped, command item lists to your applications. The control can be rendered in many orientations. Additionally, the control features several built-in themes, and the look and feel can be templated and blended.

## Tree View

The WPF TreeView control is a hierarchical list view that represents hierarchical data in a tree-like structure with expand and collapse node options. The control provides an optimized reuse strategy, smooth scrolling experience, and virtualization. It makes illustrating an office hierarchy, organizational structure, or nested relationships in an application easy to do. The control’s performance is enhanced with features like data binding, unbound node population, template selector, drag and drop, selection with different selection modes, complete UI customization, and commands for MVVM.

## Wizard

The WPF Wizard control provides an interface to create a multi-step wizard that guides users to complete a specific process such as installation or updates. It supports moving to the next and previous dialogs interactively.

## Combobox

The advanced WPF ComboBox control is a rich multiselect combobox implementation that provides a flexible dropdown list with support for single and multiple selections. Delimiter is used to separate the selected items. Its rich features set includes select all option, checkbox in dropdown items for intuitive selection, and easy customization of appearance using templates.

## SfBadge

The WPF Badge is a notification control that is used to notify users of new or unread messages, notifications, status, and more. They can easily be integrated with controls like ListBox, TabControl, and more.

## Related links
[Learn More about WPF UI Controls](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

[Documentation](https://help.syncfusion.com/wpf/overview?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

[Release History](https://help.syncfusion.com/wpf/release-notes/v19.3.0.55?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

[Online Demos](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

[Pricing](https://www.syncfusion.com/sales/products/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 26,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.

Today, we provide 1600+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.


This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Tools%20WPF-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | Toll Free](1-888-9 DOTNET


